// -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-
/*-
 * Copyright (c) 2011-2015 Footnote Developers (http://launchpad.net/footnote)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Corentin Noël <corentin@elementaryos.org>
 */

public class Footnote.Settings : Granite.Services.Settings {
    private static Settings settings;
    public static Settings get_default () {
        if (settings == null)
            settings = new Settings ();

        return settings;
    }

    public enum WindowState {
        NORMAL,
        MAXIMIZED
    }

    public int window_width { get; set; }
    public int window_height { get; set; }
    public WindowState window_state { get; set; }
    public int sidebar_width { get; set; }
    public int view_mode { get; set; }
    public int miller_handle_position { get; set; }
    public int last_notebook { get; set; }
    public string database_location { get; set; }
    public bool show_month_bar { get; set; }
    private Settings () {
        base ("org.pantheon.footnote");
    }
}
