//
//  Copyright (C) 2012 Andrea Basso
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

namespace Footnote.Widgets {
    /**
     * class representing a grid with options for exporting and printing
     **/
    public class AdvancedOptions : Gtk.Grid {
        int preferences_num;
        
        public AdvancedOptions (int pref_num) {
            preferences_num = pref_num;
            set_border_width (12);
            
            for (int i=0;i<preferences_num;i++) {
                var lbl = new LLabel ("");
                var cb  = new Gtk.CheckButton ();
                switch (i) {
                    case 0:
                        lbl.set_label ("Export Titles:");
                        break;
                    case 1:
                        lbl.set_label ("Export Contents:");
                        break;
                    case 2:
                        lbl.set_label ("Export Dates:");
                        break;
                    case 3:
                        lbl.set_label ("Sort By Date:");
                        break;
                }   
                cb.set_active (true);
                attach (lbl, 0, i, 1, 1);
                attach (cb,  1, i, 1, 1);
            }
        }
        
        public bool[] get_prefs () {
            bool[] prefs = {};
            for (int i=0;i<preferences_num;i++) {
                var cb = (Gtk.CheckButton)get_child_at (1, i);
                prefs += cb.get_active ();
            }
            return prefs;
        }
    }
}